Skip to main content
GET
List recent transactions
This feature is in Beta and not ready for production integration.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Headers

X-Organization-ID
string<uuid>

ID of the organization to perform this operation on behalf of. Required for BANK and PLATFORM app token callers targeting a specific organization. If omitted, the request uses the authenticated caller's own organization. Must be a valid non-empty UUID. Present but malformed values return 400.

Query Parameters

limit
default:5

Number of transactions to return (default 5, max 25).

status
enum<string>

Only read bank accounts in this status (default ACTIVE). The status of a bank account.

Available options:
ACTIVE,
CLOSED
pagination_token
string

Opaque pagination token from a previous response.

Response

Returns transactions.

A paginated response containing a page of results and navigation tokens.

data
object[]
required

The items in the current page.

nextPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.

prevPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.